#
# spec file for package eog (Version 2.12.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           eog
BuildRequires:  eel-devel gnutls-devel indent kdelibs3-doc libexif libgnomeprintui-devel libidl librsvg-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Graphics/Viewers
Provides:       eog2
Obsoletes:      eog2
AutoReqProv:    on
Version:        2.12.2
Release:        22.23.66
Summary:        Eye of GNOME for the GNOME 2.x Desktop
Source:         %{name}-%{version}.tar.bz2
Source1:        eog-pl.tar.bz2
Patch:          eog-casts.patch
Patch1:         eog-fast-image-switch-crash.patch
Patch2:         eog-scale-large-image.patch
Patch3:         eog-fix-crash-on-delete.patch
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         gconf2

%description
Eye of GNOME is a very fast picture viewer. It can be used as a plug-in
for Nautilus or as a stand-alone application. This version of EOG is
compiled for the GNOME 2.x Desktop.



%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
        mv configure.tmp configure && chmod u+x configure
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib \
    --libexecdir=%{prefix}/%_lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2 \
    --libdir=%prefix/%_lib 
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL  
%suse_update_desktop_file -r -N "Eye of Gnome" -G "Image Viewer" eog GNOME Application Graphics Viewer
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/eog/*/eog.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE1}
popd
%find_lang %{name}
%ifarch s390 s390x
rm -rf $RPM_BUILD_ROOT/var/%_lib/scrollkeeper
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/eog.schemas >/dev/null

%postun
%run_ldconfig

%files -f %files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
/etc/%{prefix}/gconf/schemas/eog.schemas
%{prefix}/share/applications/eog.desktop
%{prefix}/share/pixmaps/gnome-eog.png
%{prefix}/share/eog
%{prefix}/share/omf/eog
%{prefix}/share/pixmaps/eog

%changelog
* Fri Feb 20 2009 jdelvare@suse.de
- Fix crash when removing images from a directory with images that
  EOG is watching (bnc#475241).
* Mon Mar 24 2008 mauro@suse.de
- Added source eog-pl.tar.bz2 to fix bnc#356557.
  + Updated polish translation.
* Tue Dec 12 2006 jhargadon@suse.de
- add patch as a partial fix for bug #215507. It is used to
  scale down images if they are very huge
* Thu Jun  1 2006 joeshaw@suse.de
- Add a patch to fix a crash when toggling very quickly between
  two images.  (bnc #180396)
* Sun Mar 26 2006 ro@suse.de
- remove scrollkeeper stuff if created on s390*
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Wed Oct  5 2005 sbrabec@suse.cz
- Fixed gcc cast warnings.
* Mon Sep  5 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Mon Aug 22 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.90
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.11.0
* Fri Jun 17 2005 gekker@suse.de
- Update to 2.10.0 (GNOME 2.10).
* Thu Feb 24 2005 sbrabec@suse.cz
- Removed gconf makefile-uninstall-rule (#33114).
* Tue Jan  4 2005 gekker@suse.de
- Update to version 2.9.0
- Removed exif patch which is no longer needed
* Wed Oct 27 2004 mmj@suse.de
- Locale rename no to nb
* Wed Aug 25 2004 clahey@suse.de
- Cache eog help files and have eog show up in khelpcenter.
- Only apply libexif patch if suse_version > 910.
* Fri Jul 30 2004 meissner@suse.de
- Fixed to work with newer libexif version.
* Mon Apr 26 2004 sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Tue Feb 24 2004 sbrabec@suse.cz
- Use gconftool-2 scriptlets correctly.
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed PreReq.
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to eog.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Oct 27 2003 sbrabec@suse.cz
- Updated to version 2.4.1 (GNOME 2.4).
* Wed Sep 17 2003 adrian@suse.de
- Martin wished to get it in Viewer menu
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 11 2003 hhetter@suse.de
- %%_lib fixes
- %%files fixes
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Updated neededforbuild.
- Use %%find_lang.
* Tue Jan 28 2003 hhetter@suse.de
- updated to 2.2.0
* Mon Jan 20 2003 ro@suse.de
- update to 1.1.4
- review filelist
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 1.0.4 [GNOME 2.0.3]
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- updated to stable version 1.0.3
- remove wrong docdir
- %%_lib fixes
- FHS fix
* Mon Sep 23 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 ro@suse.de
- remove control-center from neededforbuild
* Tue Aug  6 2002 hhetter@suse.de
- updated to version 1.0.2
  * We don't crash anymore if the user doesn't have
  permissions to read
  a file - #85263
  * We do the right thing to destroy the window
  list on File/Exit -
  [#86469]
  * Components are installed in $(libexec)
  * The window is correctly sized upon startup,
  and you can shrink it
  again - #72352, #75713
  * No distorted view when resizing an empty window - #85927
  * DnD into an empty window doesn't open a new window.
  * New Bulgarian translation
  * Load control ui xml file correctly
  * New Albanian translation
- libexec filelist corrections
* Thu Jun 20 2002 hhetter@suse.de
- don't install schemas while make install
* Thu Jun 20 2002 hhetter@suse.de
- updated to version 1.0.1
- provide bonobo servers
* Fri Jun 14 2002 hhetter@suse.de
- filelist fix
* Thu Jun 13 2002 hhetter@suse.de
- supply schema file
* Tue Jun 11 2002 hhetter@suse.de
- updated to version 1.0.0
* Fri Jun  7 2002 hhetter@suse.de
- initial SuSE Release
